GNU bug report logs - #33936
Add python-pygraphviz.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ricardo Wurmus <ricardo.wurmus@HIDDEN>; dated Mon, 31 Dec 2018 13:41:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 33936 <at> debbugs.gnu.org:


Received: (at 33936) by debbugs.gnu.org; 12 Jan 2019 10:44:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 12 05:44:14 2019
Received: from localhost ([127.0.0.1]:56555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1giGly-00006H-GP
	for submit <at> debbugs.gnu.org; Sat, 12 Jan 2019 05:44:14 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:42274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1giGlw-000069-Cq
 for 33936 <at> debbugs.gnu.org; Sat, 12 Jan 2019 05:44:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id C863D1A1B;
 Sat, 12 Jan 2019 11:44:11 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vzvqiYPmKdqu; Sat, 12 Jan 2019 11:44:11 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id EDCF71A16;
 Sat, 12 Jan 2019 11:44:10 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: [bug#33936] Add python-pygraphviz.
References: <idjh8et6ci5.fsf@HIDDEN>
Date: Sat, 12 Jan 2019 11:44:10 +0100
In-Reply-To: <idjh8et6ci5.fsf@HIDDEN> (Ricardo Wurmus's
 message of "Mon, 31 Dec 2018 14:40:02 +0100")
Message-ID: <87d0p26tqd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 33936
Cc: 33936 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

> this patch series adds python-pygraphviz.  Unfortunately, it depends on
> a previous release of GraphViz due to a bug in the latest release.  We
> can drop it with the next release of GraphViz.

All three patch LGTM, thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#33936; Package guix-patches. Full text available.

Message received at 33936 <at> debbugs.gnu.org:


Received: (at 33936) by debbugs.gnu.org; 31 Dec 2018 13:49:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 31 08:49:03 2018
Received: from localhost ([127.0.0.1]:42892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gdxwE-0004hC-Ur
	for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:49:03 -0500
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:53084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxwC-0004gd-Ln
 for 33936 <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:49:01 -0500
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id BB48C14A09A2
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:59 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received:received:received; s=mdc; t=
 1546264134; x=1548078535; bh=YaLasBKySnVDlMNFpJIfi6TDAbjuoFyzeoL
 BzQRZTQQ=; b=qfJdecQin1lxcYJSbq5yXRdBcdWLqbkNm2EkbV3GAzJjIwar6Vm
 eRLDQeK5KsJw2ofSHdlfJQHSi5EmvkF0sLDg4g8VTGQN8jx1vvb96QJFRdvPZfAW
 5qotrvXmitI/05mnr8n0E2CAhZCH4zJGaU8fyI8vlWteGpNV8DyomPPo=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id fVtyJsZJG1da for <33936 <at> debbugs.gnu.org>;
 Mon, 31 Dec 2018 14:48:54 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (puck.citx.mdc-berlin.de
 [141.80.36.101])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-SHA384 (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:54 +0100 (CET)
Received: from localhost (141.80.113.103) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server (TLS) id 14.3.408.0; Mon, 31 Dec
 2018 14:48:53 +0100
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <33936 <at> debbugs.gnu.org>
Subject: [PATCH 3/3] gnu: Add python-graphviz.
Date: Mon, 31 Dec 2018 14:48:17 +0100
Message-ID: <20181231134817.713-3-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.19.1
In-Reply-To: <20181231134817.713-1-ricardo.wurmus@HIDDEN>
References: <20181231134817.713-1-ricardo.wurmus@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [141.80.113.103]
X-TM-AS-Product-Ver: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-AS-Result: No-0.764500-8.000000-10
X-TMASE-MatchedRID: pO1GJeE+rkt7qToVEfwBPAPZZctd3P4BUAjrAJWsTe9EnPVDTqslHNno
 quRwHY3B8p796sClznK4At5vKhJS49Nha1rO64kg8pRHzcG+oi3eowaCYuJ2SxHfiujuTbedlgB
 5OJUfvnU0jD1AptgH5r7uG9K3ZGmHUQBcvRRvU73d+fuf9kcaporogmbAtARImyiLZetSf8mfop
 0ytGwvXiq2rl3dzGQ1c6F+1bKgjUVKMYYw+CHR+LI5ww7e21tr4y0Co08aJJnrJZKf2RP6Zb6D5
 1mF9ZG1pdIm+hnrFfDTJwQwYUIZGWjLRtig0fhcTQfdjfPl5JJcKRK3DM/KmiQGdl1tQI7t0/5H
 QxvVB1U0+aGhUx8J2mWd1BH5zkrEftwZ3X11IV0=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10-0.764500-8.000000
X-TMASE-Version: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-SNTS-SMTP: DEEDC3176114509E43E215D8E8EB5587DD172664D70EE0A86237E6A52D6A68352000:9
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33936
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphviz.scm (python-graphviz): New variable.
---
 gnu/packages/graphviz.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index 47342b784..42f793b48 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -29,6 +29,7 @@
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix utils)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages xorg)
   #:use-module (gnu packages flex)
   #:use-module (gnu packages gtk)
@@ -186,6 +187,40 @@ visualization tool suite.")
 (define-public python2-graphviz
   (package-with-python2 python-graphviz))
 
+(define-public python-pygraphviz
+  (package
+    (name "python-pygraphviz")
+    (version "1.5")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/pygraphviz/pygraphviz.git")
+             (commit (string-append "pygraphviz-" version))))
+       (file-name (string-append "pygraphviz-" version "-checkout"))
+       (sha256
+        (base32
+         "1yldym38m8ckgflln83i88143pd9fjj1vfp23sq39fs6np5g0nzp"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:configure-flags
+       (let ((graphviz (assoc-ref %build-inputs "graphviz")))
+         (list (string-append "--include-path=" graphviz "/include")
+               (string-append "--library-path=" graphviz "/lib")))))
+    (inputs
+     `(("graphviz" ,graphviz-2.38)))
+    (native-inputs
+     `(("python-nose" ,python-nose)
+       ("python-mock" ,python-mock)
+       ("python-doctest-ignore-unicode" ,python-doctest-ignore-unicode)))
+    (home-page "http://pygraphviz.github.io")
+    (synopsis "Python interface to Graphviz")
+    (description "PyGraphviz is a Python interface to the Graphviz graph
+layout and visualization package.  With PyGraphviz you can create, edit, read,
+write, and draw graphs using Python to access the Graphviz graph data
+structure and layout algorithms.")
+    (license license:bsd-3)))
+
 (define-public gts
   (package
     (name "gts")
-- 
2.19.1





Information forwarded to guix-patches@HIDDEN:
bug#33936; Package guix-patches. Full text available.

Message received at 33936 <at> debbugs.gnu.org:


Received: (at 33936) by debbugs.gnu.org; 31 Dec 2018 13:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 31 08:48:59 2018
Received: from localhost ([127.0.0.1]:42889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gdxw9-0004gV-EC
	for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:48:59 -0500
Received: from pegasus.bbbm.mdc-berlin.de ([141.80.25.20]:34544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxw6-0004gL-Sd
 for 33936 <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:48:56 -0500
Received: from localhost (localhost [127.0.0.1])
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTP id EF335C71A72
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:53 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:x-mailer:message-id:date:date:subject
 :subject:from:from:received:received:received; s=mdc; t=
 1546264128; x=1548078529; bh=+E5eF34cehk4ANjIkCGV96h2mqKLdOVhxSW
 tAznkykc=; b=n6jbcVZARaey2tcCdN5N1KX9fX1VHUQuRA9daONZ/OgsYHVOJgh
 J0zk+xuB2yytWPRw+ARV/D1ETFhFBMUU5lvBlgF1LC9FzBzGx+hzg3VJVDhwUM0C
 Ar/y8GmKSGkd/9IonhqymmtuWeKBWjQ2/BhPO8zOFZOD0G4ivocO1no8=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from pegasus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (pegasus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id y6EoWrfSJp-1 for <33936 <at> debbugs.gnu.org>;
 Mon, 31 Dec 2018 14:48:48 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (puck.citx.mdc-berlin.de
 [141.80.36.101])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-SHA384 (256/256 bits))
 (No client certificate requested)
 by pegasus.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:48 +0100 (CET)
Received: from localhost (141.80.113.103) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server (TLS) id 14.3.408.0; Mon, 31 Dec
 2018 14:48:48 +0100
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <33936 <at> debbugs.gnu.org>
Subject: [PATCH 2/3] gnu: Add python-doctest-ignore-unicode.
Date: Mon, 31 Dec 2018 14:48:16 +0100
Message-ID: <20181231134817.713-2-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.19.1
In-Reply-To: <20181231134817.713-1-ricardo.wurmus@HIDDEN>
References: <20181231134817.713-1-ricardo.wurmus@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-Originating-IP: [141.80.113.103]
X-TM-AS-Product-Ver: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-AS-Result: No-2.929100-8.000000-10
X-TMASE-MatchedRID: IJfQKf6xjE5PciQIsk29C7iMC5wdwKqdTJDl9FKHbrkNmPMcsvd5FpAP
 6Djd73MAbqZQduIGtowek5BISmiXZYw2gDOr2cehngIgpj8eDcAZ1CdBJOsoY8RB0bsfrpPI34T
 9cYMsdwyvmpBG4NKximhgG7sJHQBx4w+5EJljbAUeuuqhuW1BsKdItaH+6u8JqoTtgW7H7tGm0M
 YIRQFigrpeLRNBTwmJbJnn7y9O8W2CEq3ZCBanrjuGNnVAYS/wUwWE+0Rl6FsSQBCR9Dbh0/WgJ
 21rFsx3
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--2.929100-8.000000
X-TMASE-Version: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-SNTS-SMTP: 6CA64A85ED2023619B9936B00270B8D0E367BE3A24EB8E0F473BF1C9438130F32000:9
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33936
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

* gnu/packages/python.scm (python-doctest-ignore-unicode): New variable.
---
 gnu/packages/python.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index bb4c5ab76..81fbe2b68 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -14980,6 +14980,27 @@ RFC 8265 and RFC 8266.")
     (properties '((upstream-name . "Wikidata")))
     (license license:gpl3+)))
 
+(define-public python-doctest-ignore-unicode
+  (package
+    (name "python-doctest-ignore-unicode")
+    (version "0.1.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "doctest-ignore-unicode" version))
+       (sha256
+        (base32
+         "1m9aa4qnyj21lbq4sbvmv1vcz7zksss4rz37ddf2hxv4hk8b547w"))))
+    (build-system python-build-system)
+    (native-inputs
+     `(("python-nose" ,python-nose)))
+    (home-page "https://github.com/gnublade/doctest-ignore-unicode")
+    (synopsis "Ignore Unicode literal prefixes in doctests")
+    (description
+     "This package adds support for a flag to ignore Unicode literal prefixes
+in doctests.")
+    (license license:asl2.0)))
+
 (define-public python-attr
   (package
     (name "python-attr")
-- 
2.19.1





Information forwarded to guix-patches@HIDDEN:
bug#33936; Package guix-patches. Full text available.

Message received at 33936 <at> debbugs.gnu.org:


Received: (at 33936) by debbugs.gnu.org; 31 Dec 2018 13:48:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 31 08:48:36 2018
Received: from localhost ([127.0.0.1]:42886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gdxvh-0004fq-Mo
	for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:48:36 -0500
Received: from venus.bbbm.mdc-berlin.de ([141.80.25.30]:51054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxve-0004fh-Sz
 for 33936 <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:48:27 -0500
Received: from localhost (localhost [127.0.0.1])
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTP id D99B9380985
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:25 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :x-mailer:message-id:date:date:subject:subject:from:from
 :received:received:received; s=mdc; t=1546264104; x=1548078505;
 bh=vSP/Ov5g1M19t7JCcLDN1FJJiYkfpLUNjVh5pR0RYCM=; b=jwghH7eqRdGV
 JlV/9f2MlXr3eF9nZIJej/M/HPvb2SMl9p0e66vQezZ0HgifJ9fSuHFoy0YCg6fy
 wXVD1Y13uhTt9px9v9VtvzwV9/9Qy5oeKyRtPulRJ0kjRpiMRXjZxjOIlevTyUan
 9PUUQQJV/HJ/HITWDXPQ5E3bwPNIILA=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from venus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (venus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id CkAAzSZFk6OM for <33936 <at> debbugs.gnu.org>;
 Mon, 31 Dec 2018 14:48:24 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (puck.citx.mdc-berlin.de
 [141.80.36.101])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-SHA384 (256/256 bits))
 (No client certificate requested)
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <33936 <at> debbugs.gnu.org>; Mon, 31 Dec 2018 14:48:24 +0100 (CET)
Received: from localhost (141.80.113.103) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server (TLS) id 14.3.408.0; Mon, 31 Dec
 2018 14:48:23 +0100
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <33936 <at> debbugs.gnu.org>
Subject: [PATCH 1/3] gnu: Add graphviz-2.38.
Date: Mon, 31 Dec 2018 14:48:15 +0100
Message-ID: <20181231134817.713-1-ricardo.wurmus@HIDDEN>
X-Mailer: git-send-email 2.19.1
MIME-Version: 1.0
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.113.103]
X-TM-AS-Product-Ver: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-AS-Result: No-2.241300-8.000000-10
X-TMASE-MatchedRID: BKYvX4ImMZt7qToVEfwBPCmjEOrcO6AyTJDl9FKHbrkAhmnHHeGnvQn9
 ofQNoBQFiXjq2ugFXy/lcVvS1Q3fCmTTipqtENlTk3rl+MaNgxDPmHNCdSewdiMlNiyEyQgPzsJ
 V9eUE38poCTVycA8zsauJm2QuCxjNJnhvvcMijbXAJnGRMfFxyUCrr/LkAQ460TtDAM4INC/qD1
 FjJ81U5tBHSdafBmNg7GV9zPZnVko5YT8YJoGWS1z+axQLnAVBv8jdqvFOu+KHlDUCu0I+XF2kx
 KIqW9ov585VzGMOFzA9wJeM2pSaRcK21zBg2KlfWDfDBnmaIysOXJ6kzOEpM1Nt1d+xFQKwsqtl
 YX6Z4u6hHMfOU31bvouRF1tNcc5RPfKs+zdM1XSsRKNgO0Z78e1/EWrhrdHor228gUDjHklzJSo
 3e5CVtD9p64ac051+EhXhGqrpd2ga1FOL7rDRI1XK9tOD+u6c
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10-2.241300-8.000000
X-TMASE-Version: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-SNTS-SMTP: A0265D0E9EAF628E27999692232ED342CC5E234B34B8CBBC7D3431CC0C6D3AA52000:9
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 33936
Cc: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/graphviz.scm (graphviz-2.38): New variable.
---
 gnu/packages/graphviz.scm | 51 ++++++++++++++++++++++++++++++++++++++-
 1 file changed, 50 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/graphviz.scm b/gnu/packages/graphviz.scm
index 569923d4e..47342b784 100644
--- a/gnu/packages/graphviz.scm
+++ b/gnu/packages/graphviz.scm
@@ -2,7 +2,7 @@
 ;;; Copyright © 2013, 2015 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2015 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2016 Theodoros Foradis <theodoros@HIDDEN>
-;;; Copyright © 2017 Ricardo Wurmus <rekado@HIDDEN>
+;;; Copyright © 2017, 2018 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2017, 2018 Tobias Geerinckx-Rice <me@HIDDEN>
 ;;; Copyright © 2017 Gábor Boskovits <boskovits@HIDDEN>
 ;;; Copyright © 2018 Mathieu Lirzin <mthl@HIDDEN>
@@ -27,7 +27,10 @@
   #:use-module (guix build-system gnu)
   #:use-module (guix build-system python)
   #:use-module (guix download)
+  #:use-module (guix git-download)
+  #:use-module (guix utils)
   #:use-module (gnu packages xorg)
+  #:use-module (gnu packages flex)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages glib)
@@ -35,6 +38,7 @@
   #:use-module (gnu packages bison)
   #:use-module (gnu packages image)
   #:use-module (gnu packages autotools)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gtk)
@@ -43,6 +47,7 @@
   #:use-module (gnu packages compression)
   #:use-module (gnu packages gd)
   #:use-module (gnu packages swig)
+  #:use-module (gnu packages tcl)
   #:use-module (gnu packages python)
   #:use-module (gnu packages tex)
   #:use-module ((guix licenses) #:prefix license:))
@@ -114,6 +119,50 @@ software engineering, database and web design, machine learning, and in visual
 interfaces for other technical domains.")
     (license license:epl1.0)))
 
+;; Older Graphviz needed for pygraphviz.  See
+;; https://github.com/pygraphviz/pygraphviz/issues/175
+(define-public graphviz-2.38
+  ;; This commit corresponds to the changelog change for version 2.38.0.
+  ;; There are no tags.
+  (let ((commit "f54ac2c9313ae80ccf76ef4ac6aa9be820a23126")
+        (revision "1"))
+    (package (inherit graphviz)
+      (name "graphviz")
+      (version (git-version "2.38.0" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://gitlab.com/graphviz/graphviz.git")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "1vjg308gflmi1khgjmcj431cnkrlv12bg4cqah39mwhny92jy92x"))))
+      (arguments
+       (substitute-keyword-arguments (package-arguments graphviz)
+         ((#:phases phases)
+          `(modify-phases ,phases
+             (add-after 'unpack 'prepare-bootstrap
+               (lambda _
+                 (substitute* "autogen.sh"
+                   (("/bin/sh") (which "sh"))
+                   (("\\$GRAPHVIZ_VERSION_DATE") "0"))
+                 (setenv "CONFIG_SHELL" (which "sh"))
+                 (setenv "SHELL" (which "sh"))
+
+                 (map make-file-writable (find-files "." ".*"))
+                 #t))
+             (replace 'bootstrap
+               (lambda _ (invoke (which "sh") "autogen.sh" "NOCONFIG") #t))))))
+      (native-inputs
+       `(("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("libtool" ,libtool)
+         ("flex" ,flex)
+         ("perl" ,perl)
+         ("tcl" ,tcl)
+         ,@(package-native-inputs graphviz))))))
+
 (define-public python-graphviz
   (package
     (name "python-graphviz")
-- 
2.19.1





Information forwarded to guix-patches@HIDDEN:
bug#33936; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Dec 2018 13:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 31 08:40:58 2018
Received: from localhost ([127.0.0.1]:42882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gdxoP-0004UN-Px
	for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:40:58 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxoN-0004UE-0A
 for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:40:56 -0500
Received: from lists.gnu.org ([208.118.235.17]:52622)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1gdxoM-0000mA-Mk
 for submit <at> debbugs.gnu.org; Mon, 31 Dec 2018 08:40:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52988)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxoL-0007XE-Q2
 for guix-patches@HIDDEN; Mon, 31 Dec 2018 08:40:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.0 required=5.0 tests=BAYES_40,RCVD_IN_DNSWL_HI
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1gdxoF-0000Zv-VP
 for guix-patches@HIDDEN; Mon, 31 Dec 2018 08:40:53 -0500
Received: from venus.bbbm.mdc-berlin.de ([141.80.25.30]:49310)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1gdxoF-00084Y-DI
 for guix-patches@HIDDEN; Mon, 31 Dec 2018 08:40:47 -0500
Received: from localhost (localhost [127.0.0.1])
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTP id 72D9D380985
 for <guix-patches@HIDDEN>; Mon, 31 Dec 2018 14:40:03 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:user-agent:received:received
 :received; s=mdc; t=1546263603; x=1548078004; bh=T1AgMlQ2nJbbAKb
 pVL7kjahrhk45/5W1NYECVE3GCkA=; b=QB7I0Vmdzd7Xi1oF6WGOqi0RDktwcHz
 6/V3OnM4AkhwOp9PUetCh89gOG5l2lsALBuHMqeXntEZkuWyGUv7d5nl5S8z1uCP
 2dHx9hvdt/JvfBkx5JrGDOLi2FRawq57E0eqWZbVqX3fvjAEtmAFNSj8V8mOVMo6
 8qKYWRy4FdUM=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from venus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (venus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id sagrMxRIkP6u for <guix-patches@HIDDEN>;
 Mon, 31 Dec 2018 14:40:03 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (puck.citx.mdc-berlin.de
 [141.80.36.101])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-SHA384 (256/256 bits))
 (No client certificate requested)
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <guix-patches@HIDDEN>; Mon, 31 Dec 2018 14:40:03 +0100 (CET)
Received: from localhost (141.80.113.103) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server (TLS) id 14.3.408.0; Mon, 31 Dec
 2018 14:40:02 +0100
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <guix-patches@HIDDEN>
Subject: Add python-pygraphviz.
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 31 Dec 2018 14:40:02 +0100
Message-ID: <idjh8et6ci5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.103]
X-TM-AS-Product-Ver: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-AS-Result: No-2.121300-8.000000-10
X-TMASE-MatchedRID: G358N10NUUWeAiCmPx4NwGmRqNBHmBveqjQpjCnbnzBK6bVpupSeXgtu
 KBGekqUpOlxBO2IcOBZI/5m21r4TD8oCsREvMvRQvdhLji0LBvg8iKbEwXWhVyuRB6kpNw6kyGX
 w9ilbrtdAfGe4Oygpy9BeLNDoFfyyUJcN85AGg1M2RRIMOrvjaQ==
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--2.121300-8.000000
X-TMASE-Version: SMEX-12.5.0.1684-8.5.1010-24328.000
X-TM-SNTS-SMTP: DA5FB2C86D6560DF6A15A68D8275FBC1F6854D60BDB93FBFF5DAEA5FA89715F62000:9
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 141.80.25.30
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

Hi Guix,

this patch series adds python-pygraphviz.  Unfortunately, it depends on
a previous release of GraphViz due to a bug in the latest release.  We
can drop it with the next release of GraphViz.

--
Ricardo




Acknowledgement sent to Ricardo Wurmus <ricardo.wurmus@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33936; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 12 Jan 2019 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.